# coding=utf-8

import django_filters

from .models import User

class EmployeeFilter(django_filters.FilterSet):
    status = django_filters.CharFilter(field_name='status')
    username = django_filters.CharFilter(field_name='username', lookup_expr='icontains')
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')

    class Meta:
        model = User
        fields = '__all__'
